Anonymous Login
2018-12-15 14:52 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001759OpenClonkObjectspublic2016-08-15 17:32
Reporterala 
Assigned ToMaikel 
PrioritylowSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Versiongit master 
Summary0001759: You can hit yourself while jumping and throwing
DescriptionWhen you jump or fall into a direction and throw at the same time, you can hit yourself which is: Quite shocking and can also be fatal.
Additional InformationThis also happened with some objects in CR for example the boomerang from Clepal. An easy fix there was to add an exception for the thrower so he would not get hit for a couple of frames, probably in CatchBlow(). It was short enough that you would still get hit if you would throw something against a wall and got hit by the rebound.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2016-06-24 10:03 ala New Issue
2016-08-15 17:32 Maikel Status new => resolved
2016-08-15 17:32 Maikel Fixed in Version => git master
2016-08-15 17:32 Maikel Resolution open => fixed
2016-08-15 17:32 Maikel Assigned To => Maikel
+Issue History